Bug 14642 - "cvs release"ing a sub-directory doesn't update CVS/Entries
Summary: "cvs release"ing a sub-directory doesn't update CVS/Entries
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-25 21:54 UTC by Stephen Rasku
Modified: 2007-04-18 16:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 12:32:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Rasku 2000-07-25 21:54:13 UTC
Assuming the following CVS structure:
	foo/bar1
	foo/bar2

with foo, bar1, and bar2 all part of a CVS tree.

If you "cvs release" a sub-directory, say bar1.  The CVS/Entries file in
foo will still
contain an entry:

D/bar1////

which will cause problems with future checkins or releases.

Comment 1 Preston Brown 2000-08-15 17:36:55 UTC
nalin, is there a fix for this?

Comment 2 Martin Stransky 2005-03-17 12:32:32 UTC
It's right, release remove only working copy of files, not files/dirs
in repository.


Note You need to log in before you can comment on or make changes to this bug.